Loading...
Searching...
No Matches
irr::scene::IMeshLoader Class Referenceabstract

Class which is able to load an animated mesh from a file. More...

`#include <IMeshLoader.h>`

Inheritance diagram for irr::scene::IMeshLoader:

## Public Member Functions

virtual | ~IMeshLoader ()
| Destructor.
virtual IAnimatedMesh * | createMesh (io::IReadFile *file)=0
| Creates/loads an animated mesh from the file.
virtual bool | isALoadableFileExtension (const io::path &filename) const =0
| Returns true if the file might be loaded by this class.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Class which is able to load an animated mesh from a file.

If you want Irrlicht be able to load meshes of currently unsupported file formats (e.g. .cob), then implement this and add your new Meshloader with ISceneManager::addExternalMeshLoader() to the engine.

Definition at line 26 of file IMeshLoader.h.

## Constructor & Destructor Documentation

## ~IMeshLoader()

virtual irr::scene::IMeshLoader::~IMeshLoader | ( |  | ) |

inline virtual

Destructor.

Definition at line 31 of file IMeshLoader.h.

## Member Function Documentation

## createMesh()

virtual IAnimatedMesh * irr::scene::IMeshLoader::createMesh | ( | io::IReadFile * | file | ) |

pure virtual

Creates/loads an animated mesh from the file.

Parameters

  file | File handler to load the file from.

Returns
  Pointer to the created mesh. Returns 0 if loading failed. If you no longer need the mesh, you should call IAnimatedMesh::drop(). See IReferenceCounted::drop() for more information.

## isALoadableFileExtension()

virtual bool irr::scene::IMeshLoader::isALoadableFileExtension | ( | const io::path & | filename | ) | const

pure virtual

Returns true if the file might be loaded by this class.

This decision should be based on the file extension (e.g. ".cob") only.

Parameters

  filename | Name of the file to test.

Returns
  True if the file might be loaded by this class.

The documentation for this class was generated from the following file:

- IMeshLoader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0